This variant of the [original work by Yu Zhang](https://beta.vizhub.com/yuzhang21/fdf81343da5d43878e86c250c01cb146) demonstrates improper use of an unordered color encoding for an ordered field (year), which makes it more difficult to read the chart, because you can't say anything like "darker is more recent".

A visualization constructed using the [vega-lite-api](https://github.com/vega/vega-lite-api/).

This graph shows the national ILI total cases annually. The curves from 2015 to 2019 to the present date are displayed. This plot achieves the visualization of the annual ILI total patterns in general, and also provide a direct comparison year-over-year. We can tell 2018 is the year with highest Flu cases in mid February time, while 2019 has a more stretched Flu season comparing to other years. 

When interations are introduced for the visualization together with Choropleths Map, we can select the individual yearly curve and present the map for that given year. We can also select a region or state and present a different portion of the dataset here to see more localized patterns. 


See Data on Gist: 
[ILINet Flu Surveillance Data](https://gist.github.com/yuzhang21/afd1af3a28631a12dfd8eee37520309f)

The original data comes from the 
[CDC FluView Interactive](https://www.cdc.gov/flu/weekly/fluviewinteractive.htm)